Subject: Re: Edit a rerere conflict resolution

From: Vincent van Ravesteijn <[email-masked]>
Date: Fri, 16 Mar 2012 16:54:15 +0100

Op 12-3-2012 21:01, Junio C Hamano schreef:
> Vincent van Ravesteijn<[email-masked]>  writes:
>
>> Would it be a useful addition to have a command 'git rerere edit
>> <path>  <commit>' ?
>>
>> This would allow the user to edit the conflict resolution which was
>> used in a certain commit (merge, rebase.. ).
>>
>> Now I tend to grep in the .git/rr-cache directory, because I don't
>> want to do 'git rerere forget' as this would require me to refix more
>> resolution than needed.
> I haven't find it necessary in practice, as the re-fix for me
> typically would go like this:
>
>      $ git merge other-branch
>      ... rerere kicks in; eyeball the results
>      ... ah, my earlier resolution is no longer correct
>      $ edit $the_path
>      ... test the result of manual edit in the context of the merged whole
>      ... and be satisified
>      $ git rerere forget $the_path
>      $ git add $the_path
>      $ git commit
>      ... rerere records the updated resolution
>
This doesn't really work for me:

      $ git merge other-branch
      Auto-merging <path>
      CONFLICT (content): Merge conflicts in <path>
      Resolved '<path>' using previous resolution.
      Automatic merge failed; fix conflicts and then commit the result.

      $ git rerere status
      $ git rerere forget <path>
      error: no remembered resolution for <path>

      $ edit <path>
      $ git commit -a -m "fix"
      ... no sign of rerere doing something.

Why is this different from what you describe above, and how can I modify 
the recorded resolution ?

Vincent